<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php print $language->language ?>" lang="<?php print $language->language ?>" dir="<?php print $language->dir ?>">
<head>
    <?php print $head; ?>
    <title><?php print $head_title; ?></title>
    <?php print $styles; ?>
    <?php print $scripts; ?>

    <!--[if IE]>
        <link rel="stylesheet" href="<?php print $base_path.$directory; ?>/css/ie.css" type="text/css" />
    <![endif]-->
    <!--[if IE 6]>
        <link rel="stylesheet" href="<?php print $base_path.$directory; ?>/css/ie6.css" type="text/css" />
    <![endif]-->
    <!--[if IE 7]>
        <link rel="stylesheet" href="<?php print $base_path.$directory; ?>/css/ie7.css" type="text/css" />
    <![endif]-->
</head>
<?php 
	$menu_style = theme_get_setting('menu_style'); 
	if($menu_style==1) {
		include ($directory . '/menu/splitmenu/splitmenu.php');
		$result = getTitleActiveMenu('primary-links');
		$tree = $result['submenu'];
		$title_submenu = $result['title'];
	}
?>

<body>
	<!-- Header -->
    <div id="st_wrapper_header">
        <div class="container_16 clear-block">
            <div id="st_header" >
                <div id="st_logo_header" class="grid_4">
					<?php
                    // Prepare header
                    $site_fields = array();
                    if ($site_name) {
						$site_fields[] = check_plain($site_name);
                    }
                    if ($site_slogan) {
						$site_fields[] = check_plain($site_slogan);
                    }
                    $site_title = implode(' ', $site_fields);

                    if ($logo || $site_title) {
						print '<h1 id="st_logo"><a href="'. check_url($front_page) .'" title="'. $site_title .'">';
						print $site_html .'Logo</a></h1>';
                    }
                    ?>
                </div>

                <!-- Main menu -->
                <div id="st_main_menu" class="grid_12">
					<?php if (isset($primary_links)) :
						if ($menu_style==1) {
							print theme('links', $primary_links, array('class' => 'links primary-links'));
						}
						else {
							include($directory . '/menu/menu.class.php');
							print get_links('primary-links');
						}
                    endif; ?>
                </div>
                <!-- End main menu -->
            </div> <!-- End header -->
        </div> <!-- End container -->
    </div> <!-- End wrapper -->
	<!-- End Header -->

    <!-- Slogan -->
    <?php if ($sloganbar): ?>
    <div id="st_wrapper_slogan">
        <div class="container_16 clear-block">
        	<?php print $sloganbar; ?>
        </div>
    </div>
    <?php endif; ?>

    <!-- End slogan -->

    <!-- Main -->
    <div id="st_wrapper_main">
        <div class="container_16 clear-block">
            <!-- Main Content -->
            <?php $count_grid = 16;
                if ($left or ($tree and !$right))	$count_grid -= 3;
                if ($right) $count_grid -=4;
            ?>
            <div id="st_center" class="grid_<?php print $count_grid;?>">

                <?php //print $breadcrumb; ?>
                <?php if ($mission): print '<div id="mission">'. $mission .'</div>'; endif; ?>
                <?php if ($tabs): print '<div id="tabs-wrapper" class="clear-block">'; endif; ?>
                <?php if ($title): print '<h2'. ($tabs ? ' class="with-tabs"' : ' class="node-title"') .'>'. $title .'</h2>'; endif; ?>
                <?php if ($tabs): print $tabs .'</div>'; endif; ?>
                <?php if ($tabs2): print $tabs2; endif; ?>
                <?php if ($show_messages && $messages): print $messages; endif; ?>
                <?php print $help; ?>

                <div class="clear-block">
                    <?php print $content ?>
                </div>
                <?php print $feed_icons ?>
            </div>
            <!-- End content -->

            <!-- Left -->
			<?php if ($left or ($tree and !$right)): ?>
            <div id="st_sidebar_left" class="sidebar grid_3 <?php if(!$right) print "omega"; ?>">
                <!-- Split menu -->
				<?php if ($tree) { ?>
                	<div id="st_main_menu_level2">
                    	<h2><?php print $title_submenu; ?></h2>
                        <?php print $tree; ?>
                    </div>
                <?php } ?>

                <?php print $left; ?>
            </div>
            <?php endif; ?>
            <!-- End left -->

            <!-- Right -->
            <?php if ($right): ?>
            <div id="st_sidebar_right" class="sidebar grid_4 omega">
            	<!-- Split menu -->
            	<?php if (!$left and $tree) { ?>
                	<div id="st_main_menu_level2">
                    	<h2><?php print $title_submenu; ?></h2>
                        <?php print $tree; ?>
                    </div>
                <?php } ?>

                <?php print $right; ?>
            </div>
            <?php endif; ?>
            <!-- End right -->
        </div> 
	</div> 
	<!-- End Main -->

    <!-- News -->
    <?php if ($news1 or $news2 or $news3 or $news4): ?>
    <?php 
		$count_news=0;
		if($news1) {$count_news++;}
		if($news2) {$count_news++;}
		if($news3) {$count_news++;}
		if($news4) {$count_news++;}
		switch($count_news) {
			case 1: 
				$grid_news_class = "grid_16";
				break;
			case 2:
				$grid_news_class = "grid_8";
				break;
			case 3:
			case 4:
				$grid_news_class = "grid_4";
				break;
			default:
				$grid_news_class = "grid_4";
				break;
		}
    ?>
	<div id="st_wrapper_news">
        <div class="container_16 clear-block">
        	<!-- News1 -->
        	<?php if ($news1): ?>
            	<div id="st_news1" class="<?php print $grid_news_class;?>">
                	<?php print $news1; ?>
                </div>
            <?php endif; ?>
            <!-- End News1-->

        	<!-- News2 -->
        	<?php if ($news2): ?>
            	<div id="st_news2" class="<?php print $grid_news_class;?>">
                	<?php print $news2; ?>
                </div>
            <?php endif; ?>
            <!-- End News2-->

        	<!-- News3 -->
        	<?php if ($news3): ?>
            	<div id="st_news3" class="<?php if($count_news==3 and !$news4) print "grid_8 omega"; else print $grid_news_class;?>">
                	<?php print $news3; ?>
                </div>
            <?php endif; ?>
            <!-- End News3-->

        	<!-- News4 -->
        	<?php if ($news4): ?>
            	<div id="st_news4" class="<?php if($count_news==3) print "grid_8"; else print $grid_news_class;?> omega">
                	<?php print $news4; ?>
                </div>
            <?php endif; ?>
            <!-- End News4-->
        </div>
	</div>
	<?php endif; ?>
    <!-- End News -->

    <!-- Footer -->
    <div id="st_wrapper_footer">
        <div class="container_16 clear-block">
        	<div id="st_footer_logo" class="grid_4">
				<?php
                // Prepare header
                $site_fields = array();
                if ($site_name) {
                    $site_fields[] = check_plain($site_name);
                }
                if ($site_slogan) {
                    $site_fields[] = check_plain($site_slogan);
                }
                $site_title = implode(' ', $site_fields);

				if ($logo || $site_title) {
						print '<h1 id="st_logo_footer"><a href="'. check_url($front_page) .'" title="'. $site_title .'">';

						print $site_html .'Logo</a></h1>';
                    }
                ?>
            </div>

            <!-- Main menu -->
            <div id="st_menu_footer" class="grid_12 omega">
                <?php if (isset($primary_links)) : ?>
                    <?php print theme('links', $primary_links, array('class' => 'links primary-links')) ?>
                <?php endif; ?>
            </div>
            <!-- End main menu -->
            <div id="st_copyright" class="grid_16">Copyright &copy; <?php print date('Y', time());?> ST Alphorn. All Rights Reserved. Designed by <a href="http://symphonythemes.com" title="created and designed by symphonythems.com" target="_blank">SymphonyThemes</a>.</div>

        </div>
    </div>
    <!-- End Footer -->

  <?php print $closure; ?>

  </body>

</html>

